package com.bankaudit.dto.process;

public class AuditRatingParameterScoreDto {

	private Integer legalEntityCode;
	private String auditId;
	private String unitId;
	private String auditTypeCode;
	private String rmCode;
	private String paramCode;
	private String paramMesaurementType; // Quantitative/ Qualitative
	private String paramBasis;			 // Calculation/ Input
	private String paramCalcType;		 // Continuous/ Discrete
	private String paramWeightage;
	private String categoryCode;
	private String subCategoryCode;
	private String processedScore;
	private String discreteScore;
	private String score;
	private String input01;
	private String input02;
	private String input03;
	private String input04;
	private String input05;
	private String input06;
	private String formula;
	private String minScore;
	private String maxScore;
	private String maker;
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	public String getParamCode() {
		return paramCode;
	}
	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}
	public String getParamMesaurementType() {
		return paramMesaurementType;
	}
	public void setParamMesaurementType(String paramMesaurementType) {
		this.paramMesaurementType = paramMesaurementType;
	}
	public String getParamBasis() {
		return paramBasis;
	}
	public void setParamBasis(String paramBasis) {
		this.paramBasis = paramBasis;
	}
	public String getParamCalcType() {
		return paramCalcType;
	}
	public void setParamCalcType(String paramCalcType) {
		this.paramCalcType = paramCalcType;
	}
	public String getParamWeightage() {
		return paramWeightage;
	}
	public void setParamWeightage(String paramWeightage) {
		this.paramWeightage = paramWeightage;
	}
	public String getCategoryCode() {
		return categoryCode;
	}
	public void setCategoryCode(String categoryCode) {
		this.categoryCode = categoryCode;
	}
	
	public String getSubCategoryCode() {
		return subCategoryCode;
	}
	public void setSubCategoryCode(String subCategoryCode) {
		this.subCategoryCode = subCategoryCode;
	}
	public String getProcessedScore() {
		return processedScore;
	}
	public void setProcessedScore(String processedScore) {
		this.processedScore = processedScore;
	}
	public String getDiscreteScore() {
		return discreteScore;
	}
	public void setDiscreteScore(String discreteScore) {
		this.discreteScore = discreteScore;
	}
	public String getScore() {
		return score;
	}
	public void setScore(String score) {
		this.score = score;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getRmCode() {
		return rmCode;
	}
	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}
	public String getInput01() {
		return input01;
	}
	public void setInput01(String input01) {
		this.input01 = input01;
	}
	public String getInput02() {
		return input02;
	}
	public void setInput02(String input02) {
		this.input02 = input02;
	}
	public String getInput03() {
		return input03;
	}
	public void setInput03(String input03) {
		this.input03 = input03;
	}
	public String getInput04() {
		return input04;
	}
	public void setInput04(String input04) {
		this.input04 = input04;
	}
	public String getInput05() {
		return input05;
	}
	public void setInput05(String input05) {
		this.input05 = input05;
	}
	public String getInput06() {
		return input06;
	}
	public void setInput06(String input06) {
		this.input06 = input06;
	}
	public String getFormula() {
		return formula;
	}
	public void setFormula(String formula) {
		this.formula = formula;
	}
	public String getMinScore() {
		return minScore;
	}
	public void setMinScore(String minScore) {
		this.minScore = minScore;
	}
	public String getMaxScore() {
		return maxScore;
	}
	public void setMaxScore(String maxScore) {
		this.maxScore = maxScore;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
		
}
